Description

it is possible to use IPXE to chainload boot files and to boot over HTTP

see background at Fetch_boot_files_via_http_instead_of_TFTP

I would like the installer to be able to pull in the IPXE boot files out of the box (as its already available in the ipxe-bootimgs rpm).

History

#1 - 02/08/2015 04:51 AM - Ohad Levy

- Description updated

#2 - 02/08/2015 08:43 AM - Bryan Kearney

- Bugzilla link set to 1190478

#3 - 02/09/2015 03:46 AM - Lukas Zapletal

I've verified it is being shipped in both RHEL 6 and 7:

[root@fsix ~]# rpm -ql ipxe-bootimgs

/usr/share/doc/ipxe-bootimgs-20130517

/usr/share/doc/ipxe-bootimgs-20130517/COPYING

/usr/share/doc/ipxe-bootimgs-20130517/COPYRIGHTS

/usr/share/doc/ipxe-bootimgs-20130517/USAGE

/usr/share/ipxe

/usr/share/ipxe/ipxe.dsk

/usr/share/ipxe/ipxe.iso

/usr/share/ipxe/ipxe.lkrn

/usr/share/ipxe/ipxe.usb

/usr/share/ipxe/undionly.kpxe

 Do we also want to create appropriate symlinks in TFTP directory so they are kept up-to-date? In this case, we should test it with SELinux (might

need extra symlink rule). But I am afraid symlink won't work and we need a copy/hardlink because of the chroot environment.

#4 - 02/09/2015 03:59 AM - Dominic Cleal

iPXE isn't shipped in EL6, we provide it in the plugins repo.  My experiences with hardware compatibility in bootdisk haven't been good, so I wouldn't

recommend it as a default.

#5 - 02/09/2015 04:29 AM - Ohad Levy

Dominic Cleal wrote:

iPXE isn't shipped in EL6, we provide it in the plugins repo.  My experiences with hardware compatibility in bootdisk haven't been good, so I

wouldn't recommend it as a default.

 I didn't mean it should be the default provisioning means, but rather have the ability for the installer (aligned with community templates) to use it, so

overall simplify it for those who wants to use it.

#6 - 06/22/2018 07:26 AM - Lukas Zapletal
https://projects.theforeman.org/projects/foreman/wiki/Fetch_boot_files_via_http_instead_of_TFTP


- Subject changed from Support IPXE chainloading out of the box to Copy required files for iPXE booting

We added required templates into Foreman 1.11 and the document mentions this as "recent version". So everything is ready in Foreman and this

installer RFE can be implemented. The goal of this ticket is to install necessary files for iPXE, see

https://projects.theforeman.org/projects/foreman/wiki/Fetch_boot_files_via_http_instead_of_TFTP

cp /usr/share/ipxe/ipxe.lkrn /var/lib/tftpboot/

cp /usr/share/ipxe/undionly.kpxe /var/lib/tftpboot/undionly-ipxe.0

cp /usr/share/syslinux/gpxelinuxk.0 /var/lib/tftpboot/

change in dhcpd.conf:

if exists user-class and option user-class = "iPXE" {

  filename "http://foreman:443/unattended/iPXE";

} else {

  filename "pxelinux.0";

}

 When templates plugin is enabled, the URL should be http://proxy:8000/unattended/iPXE then. The if statement already contains some lines, this

needs to be incorporated into it.
